DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Ports and Packages

FreeBSD Ports and Packages Installation and upgrading of ports and packages on FreeBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 3rd June 2017
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 219
Default virtualbox-ose exit code error

Hi,
After to install FrreBSD 11 AMD64 and gnome3, i want to install virtualbox-ose but the compilation crash with this error < error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1
>

This is my output

Quote:
ns -Wall -W -Wdate-time -pthread -fPIC -DQT_ACCESSIBILITY -DQT_USE_QSTRINGBUILDER -DQT_NO_EXCEPTIONS -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -DQT_NO_DEBUG -DQT_QMLDEVTOOLS_LIB -DQT_CORE_LIB -I. -I../../include -I../../include/QtQmlDevTools -I../../include/QtQmlDevTools/5.7.1 -I../../include/QtQmlDevTools/5.7.1/QtQmlDevTools -I/usr/local/include/qt5/QtCore/5.7.1 -I/usr/local/include/qt5/QtCore/5.7.1/QtCore -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -I.moc -I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o .obj/main.o main.cpp
c++ -Wl,--as-needed -fstack-protector -Wl,--gc-sections -pthread -Wl,-rpath,/usr/local/lib/qt5 -o ../../bin/qmlmin .obj/main.o -L/usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/lib -L/usr/local/lib -lQt5QmlDevTools -L/usr/local/lib/qt5 -lQt5Core
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): multiple definition of `__bss_start@Qt_5'
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): first defined here
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): multiple definition of `_edata@Qt_5'
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): first defined here
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x2b2a0): multiple definition of `_end@Qt_5'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[11]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/tools/qmlmin
*** Error code 1

Stop.
make[10]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/tools
*** Error code 1

Stop.
make[9]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1
*** Error code 1

Stop.
make[8]: stopped in /usr/ports/x11-toolkits/qt5-quick
*** Error code 1

Stop.
make[7]: stopped in /usr/ports/x11-toolkits/qt5-quick
*** Error code 1

Stop.
make[6]: stopped in /usr/ports/devel/qt5-designer
*** Error code 1

Stop.
make[5]: stopped in /usr/ports/devel/qt5-designer
*** Error code 1

Stop.
make[4]: stopped in /usr/ports/devel/qt5-linguist
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/devel/qt5-linguist
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/emulators/virtualbox-ose
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/emulators/virtualbox-ose
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/virtualbox-ose
root@dct-invasion:/usr/ports/emulators/virtualbox-ose # cd /usr/local/lib/qt5/mkspecs/
someone can help me to getarrond this issue

Regards
philippe
Reply With Quote
  #2   (View Single Post)  
Old 13th June 2017
Carpetsmoker's Avatar
Carpetsmoker Carpetsmoker is offline
Real Name: Martin
Old man from scene 24
 
Join Date: Apr 2008
Location: Dutchman living in the UK
Posts: 2,196
Default

The problem is not in VirtualBox, but in this port: x11-toolkits/qt5-quick

Try updating your ports tree. Maybe it's a bug that has been fixed already.

You can also try installing this port first:

Code:
cd /usr/ports/x11-toolkits/qt5-quick && make clean install
Or just install it from packages (pkg install).
__________________
UNIX was not designed to stop you from doing stupid things, because that would also stop you from doing clever things.
Reply With Quote
  #3   (View Single Post)  
Old 14th June 2017
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 219
Default

Hi Carpetsmoker,

after your recommandations
Quote:
cd /usr/ports/x11-toolkits/qt5-quick && make clean install
i do
Quote:
make MAKE_JOBS_UNSAFE=yes install
but there are issue ! this is my output :

Quote:
toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/tools/qmlmin/qmlmin.pro QT_CONFIG+=release 'QT_CONFIG-=debug separate_debug_info' DEFINES+=QT_ACCESSIBILITY 'QT_CONFIG+=accessibility accessibility-atspi-bridge' -spec /usr/local/lib/qt5/mkspecs/freebsd-clang QMAKE_CC=cc QMAKE_CXX=c++ QMAKE_LINK_C=cc QMAKE_LINK_C_SHLIB=cc QMAKE_LINK=c++ QMAKE_LINK_SHLIB=c++ 'QMAKE_CFLAGS=-O2 -pipe -fstack-protector -fno-strict-aliasing' 'QMAKE_CXXFLAGS=-O2 -pipe -fstack-protector -fno-strict-aliasing ' 'QMAKE_LFLAGS= -Wl,--as-needed -fstack-protector' QMAKE_LIBS= QMAKE_CFLAGS_DEBUG= QMAKE_CFLAGS_RELEASE= QMAKE_CXXFLAGS_DEBUG= QMAKE_CXXFLAGS_RELEASE= PREFIX=/usr/local CONFIG+=release 'CONFIG-=debug separate_debug_info' -o Makefile ) && /usr/bin/make -f Makefile all
c++ -Wl,--as-needed -fstack-protector -Wl,--gc-sections -pthread -Wl,-rpath,/usr/local/lib/qt5 -o ../../bin/qmlmin .obj/main.o -L/usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/lib -L/usr/local/lib -lQt5QmlDevTools -L/usr/local/lib/qt5 -lQt5Core
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): multiple definition of `__bss_start@Qt_5'
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): first defined here
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): multiple definition of `_edata@Qt_5'
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x27a98): first defined here
/usr/local/lib/qt5/libQt5Core.so.dynamic+0x2b2a0): multiple definition of `_end@Qt_5'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/tools/qmlmin
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1/tools
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/x11-toolkits/qt5-quick/work/qtdeclarative-opensource-src-5.7.1
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-toolkits/qt5-quick
root@dct-invasion:/usr/ports/x11-toolkits/qt5-quick #
Regards
philippe
Reply With Quote
  #4   (View Single Post)  
Old 14th June 2017
Carpetsmoker's Avatar
Carpetsmoker Carpetsmoker is offline
Real Name: Martin
Old man from scene 24
 
Join Date: Apr 2008
Location: Dutchman living in the UK
Posts: 2,196
Default

Why are you adding "MAKE_JOBS_UNSAFE=yes"?

I literally haven't used FreeBSD in years, but the naming of "unsafe" makes it sound like it's ... unsafe?

Does just "make clean install" work?
__________________
UNIX was not designed to stop you from doing stupid things, because that would also stop you from doing clever things.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
install 5.7 in virtualbox dc_atpi_start error mfaridi OpenBSD Installation and Upgrading 5 11th July 2015 08:26 PM
Bootstrapping Error Code 1 jewsofeast NetBSD Installation and Upgrading 3 20th November 2010 11:21 AM
Warning error every exit of X aleunix OpenBSD Packages and Ports 2 6th June 2008 08:46 PM
slimserver make install *** Error code 1 alan79 FreeBSD Ports and Packages 15 28th May 2008 12:35 PM
Ports installtion error code 1 seadog109 FreeBSD General 1 11th May 2008 01:19 AM


All times are GMT. The time now is 04:48 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick